### Method

# Adw MessageDialog response

#### Declaration [src]

    void
    adw_message_dialog_response (
      AdwMessageDialog* self,
      const char* response
    )

#### Description [src]

Emits the `AdwMessageDialog::response` signal with the given response ID.

Used to indicate that the user has responded to the dialog in some way.

Available since: | 1.2

Emits signal | `Adw.MessageDialog::response`

#### Parameters

`response` | `const char*`
| Response ID.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.